<?php
/**
 * The admin view of entry module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     entry
 * @version     $Id: html.php 7488 2013-12-26 07:26:10Z zhujinyong $
 * @link        http://www.zdoo.com
 */
?>
<?php
$webRoot   = $config->webRoot;
$jsRoot    = $webRoot . "js/";
$themeRoot = $webRoot . "theme/";
include "../../common/view/chosen.html.php";
?>
<form method='post' id='blockForm' class='form form-horizontal' action='<?php echo $this->createLink('block', 'set', "index=$index&type=system")?>'>
  <table class='table table-form'>
    <tbody>
      <tr>
        <th class='w-60px'><?php echo $lang->block->name;?></th>
        <td>
        <?php
        echo html::input('title', isset($block->title) ? $block->title : '', "class='form-control'");
        echo html::hidden('block', $type) . html::hidden('source', $entryID);
        ?>
        </td>
      </tr>
      <?php foreach($params as $key => $param):?>
      <tr>
        <th><?php echo $param['name']?></th>
        <td>
        <?php
          if(!isset($param['control'])) $param['control'] = 'input';
          if(!method_exists('html', $param['control'])) $param['control'] = 'input';

          $control = $param['control'];
          $attr    = empty($param['attr']) ? '' : $param['attr'];
          $default = $block ? (isset($block->params->$key) ? $block->params->$key : '') : (isset($param['default']) ? $param['default'] : '');
          $options  = isset($param['options']) ? $param['options'] : array();
          if($control == 'select' or $control == 'radio' or $control == 'checkbox')
          {
              $chosen = $control == 'select' ? 'chosen' : '';
              if(strpos($attr, 'multiple') !== false)
              {
                  echo html::$control("params[$key][]", $options, $default, "class='form-control " . $chosen . "' $attr");
              }
              else
              {
                  echo html::$control("params[$key]", $options, $default, "class='form-control " . $chosen . "' $attr");
              }
          }
          else
          {
              echo html::$control("params[$key]", $default, "class='form-control' $attr");
          }
        ?>
        </td>
      </tr>
      <?php endforeach;?>
      <tr>
        <th><?php echo $lang->block->grid;?></th>
        <td>
          <?php if($type == 'attend') unset($lang->block->gridOptions[8]);?>
          <?php echo html::select('grid', $lang->block->gridOptions, $block ? $block->grid : '', "class='form-control'")?>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr><th></th><td class='form-actions'><?php echo html::submitButton()?></td></tr>
    </tfoot>
  </table>
</form>
<?php if(!isset($block->name)):?>
<script>
$(function()
{
    var blockTitle = '';

    options = $('#entryBlock').find("option").text();
    blockTitle = $('#entryBlock').find("option:selected").text();
    if(options.indexOf($('#title').val()) >= 0)
    {
        $('#title').val(blockTitle);
        if($('#paramstype').length > 0) $('#title').val(blockTitle + ' - ' + $('#paramstype').find('option:selected').html());
    }

    $(document).on('change', '#paramstype', function()
    {
        $('#title').val(blockTitle + ' - ' + $(this).find('option:selected').html());
    });

})
</script>
<?php endif;?>
